Vorbisfile documentation | libVorbisfile version 1.65 - 20020702

# ov_serialnumber

declared in "vorbis/vorbisfile.h";

Returns the serialnumber of the specified logical bitstream link number within the overall physical bitstream.

    long ov_serialnumber(OggVorbis_File *vf,int i);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions.
i
  Link to the desired logical bitstream. For nonseekable files, this argument is ignored. To retrieve the serial number of the current bitstream, this parameter should be set to -1.

### Return Values

> - -1 if the specified logical bitstream i does not exist.
> - Returns the serial number of the logical bitstream i or the serial number of the current bitstream if the file is nonseekable.

copyright © 2002 Xiph.org | Ogg Vorbis
Vorbisfile documentation | libVorbisfile version 1.65 - 20020702